Subject: bug#38125: 27.0.50; All "https" connections require ".authinfo.gpg" access

From: Robert Pluim <[email-masked]>
Date: Fri, 08 Nov 2019 20:10:08 +0100

tags 38125 fixed
close 38125 27.1
quit

>>>>> On Fri, 08 Nov 2019 19:59:31 +0100, José L. Domenech <[email-masked]> said:

    José> Thanks for your time and sorry for any inconvenience that this report
    José> could have made you.

No worries. I wrote the relevant code, itʼs my responsibility.

    José> I really wasn't aware about .authinfo containing cert info (as clearly
    José> is stated in the manual)

>> Anyway, since the epa file handler does not react well to you
    >> cancelling decryption, and thereʼs no way that I can see to tell it to
    >> not pop up that failure buffer, the only recourse I see is for you to
    >> customize 'network-stream-use-client-certificates' to nil.
    >> 
    >> Robert

    José> I think is a good solution (for me) as it simplifies my Internet use from Emacs.

    José> Thanks again to take the time to instruct me and find a personalized solution.

Thanks for reporting the issue. Iʼm thinking of a way to avoid the
error you get when cancelling the decryption, which will improve
emacs. Iʼll close this bug report.

Robert